summaryrefslogtreecommitdiff
path: root/tests/tail-2
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2006-11-16 10:05:36 +0100
committerJim Meyering <jim@meyering.net>2006-11-16 10:05:36 +0100
commita73fdeb2ce0a1574ec84d7dd7f670217088a818c (patch)
treecb3f903f136314cb5bd7c8170344ab51a5c41ed6 /tests/tail-2
parent751f6acf5491afadccf0e09aa20736f99dac1286 (diff)
downloadcoreutils-a73fdeb2ce0a1574ec84d7dd7f670217088a818c.tar.xz
* tests/tail-2/append-only: If chattr +a fails, exit 77 (to tell
automake we're skipping this test), and give a diagnostic to tell the user the same thing. Reported by Mike Grayson.
Diffstat (limited to 'tests/tail-2')
-rwxr-xr-xtests/tail-2/append-only4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/tail-2/append-only b/tests/tail-2/append-only
index ee7924540..cee664473 100755
--- a/tests/tail-2/append-only
+++ b/tests/tail-2/append-only
@@ -41,8 +41,8 @@ chattr +a f 2>/dev/null || framework_failure=1
echo x >> f || framework_failure=1
if test $framework_failure = 1; then
- echo "$0: failure in testing framework" 1>&2
- (exit 1); exit 1
+ echo "$0: chattr +a doesn't work on this file system; skipping this test " 1>&2
+ (exit 77); exit 77
fi
fail=0